#############################################################################
#
# MODULE:   	Grass Compilation
# AUTHOR(S):	Original author unknown - probably CERL
#		Markus Neteler - Germany - neteler@geog.uni-hannover.de
#   	    	Justin Hickey - Thailand - jhickey@hpcc.nectec.or.th
#   	    	Huidae Cho - Korea - hdcho@geni.knu.ac.kr
#   	    	Eric G. Miller - egm2@jps.net
# PURPOSE:  	The source file for this Makefile is in src/CMD/head/head.in.
#		It is the top part of a file called make.rules which is used
#		for compiling all GRASS modules. This part of the file provides
#		make variables that are dependent on the results of the
#		configure script.
# COPYRIGHT:    (C) 2000 by the GRASS Development Team
#
#               This program is free software under the GNU General Public
#   	    	License (>=v2). Read the file COPYING that comes with GRASS
#   	    	for details.
#
#############################################################################

############################## Make Variables ###############################

CC                  = gcc
FC                  = g77
CXX                 = 
LEX                 = flex
YACC                = bison -y
PERL                = /usr/bin/perl
MAKE                = make
AR                  = ar
RANLIB              = ranlib
MKDIR               = mkdir -p
CHMOD               = chmod
INSTALL             = install

ARCH                = i586-mandrake-linux-gnu
prefix              = /usr
exec_prefix         = /usr
UNIX_BIN            = /usr/bin


DL_LIBS             = -ldl
DL_OBJS             = rubbish
PLAT_OBJS           = 
CFLAGS_DEBUG        = -g
CFLAGS_OPTIMIZE     = -O -D__NO_STRING_INLINES -D__NO_MATH_INLINES
CFLAGS_WARNING      = -Wall -Wconversion -Wno-implicit-int
STRIPFLAG           = 
LDFLAGS_DEBUG       = 
LDFLAGS_OPTIMIZE    = 
CC_SEARCH_FLAGS     = -Wl,-rpath,${LIB_RUNTIME_DIR}
LD_SEARCH_FLAGS     = -Wl,-rpath,${LIB_RUNTIME_DIR}
LD_LIBRARY_PATH_VAR = LD_LIBRARY_PATH

#static libs:
STLIB_LD            = ${AR} cr
STLIB_PREFIX        = lib
STLIB_SUFFIX        = a

#shared libs
SHLIB_PREFIX        = lib
SHLIB_LD            = -shared
SHLIB_LD_EXTRAS     = 
SHLIB_LD_FLAGS      = 
SHLIB_LD_LIBS       = ${LIBS}
SHLIB_CFLAGS        = -fPIC
SHLIB_SUFFIX        = so


# GRASS dirs
GRASS_HOME          = /home/buchan/rpm/BUILD/grass-5.7.0
GRASS50             = 

DEFAULT_DATABASE    =
DEFAULT_LOCATION    =

COMPILE_FLAGS       =  -O2 -fomit-frame-pointer -pipe -march=i586 -mtune=pentiumpro   -Wall -Wconversion -Wno-implicit-int 
COMPILE_FLAGS_CXX   =   
LINK_FLAGS          = -rdynamic

DLLIB               = -ldl
XCFLAGS             =  -I/usr/X11R6/include
XLDFLAGS            = 
XMINC               =  -I/usr/X11R6/include
XLIBPATH            =  -L/usr/X11R6/lib
XLIB                =  -lSM -lICE -lX11
XTLIB               = -lXt
XMLIB               =  -lXm 
XEXTRALIBS          = 

COMPATLIB           = -lbsd-compat
CURSES              = -lncurses $(COMPATLIB)
MATHLIB             = -lm 
XDRLIB              =     -lz 
ICONVLIB            = 
INTLLIB             = 
SOCKLIB             = 

#ZLIB:
ZLIB                =    -lz 
ZLIBINCPATH         = 
ZLIBLIBPATH         = 

#DBM:
#DBMINCPATH          = @DBMINCPATH@
#DBMLIBPATH          = @DBMLIBPATH@
#DBMLIB              = @DBMLIB@
DBMIEXTRALIB        = 

#readline
READLINEINCPATH     = 
READLINELIBPATH     = 
READLINELIB         =  -lreadline -ltermcap
HISTORYLIB          =  -lhistory

#PostgreSQL:
PQINCPATH           =  -I/usr/include/pgsql -I/usr/include/pgsql/internal
PQLIBPATH           = 
PQLIB               =  -lpq 

#MySQL:
MYSQLINCPATH        = 
MYSQLLIBPATH        = 
MYSQLLIB            = 

#ODBC:
ODBCINC             = 
ODBCLIB             =  -lodbc 

#Image formats:
PNGINC              = 
PNGLIB              =  -lpng  -lz  -lm
USE_PNG             = 1

JPEGINCPATH         = 
JPEGLIBPATH         = 
JPEGLIB             =  -ljpeg 

TIFFINCPATH         = 
TIFFLIBPATH         = 
TIFFLIB             =  -ltiff 

#GD library:
#GDINC               = @GDINC@
#GDLIB               = @GDLIB@
#USE_GD              = @USE_GD@

#openGL files for NVIZ/r3.showdspf
OPENGLINC           = 
OPENGLwINC          = 
OPENGLLIB           =  -L/usr/X11R6/lib  -lGL 
OPENGLULIB          =  -L/usr/X11R6/lib  -lGLU 
LGLWM               =  -lGLw 
#USE_GLWM            = @USE_GLWM@

#tcl/tk stuff
TCLINCDIR           = 
TKINCDIR            = 
TCLTKLIBPATH        = 
TCLTKLIBS           =  -ltk -lm  -ltcl -lm

#FFTW:
FFTWINC             = 
FFTWLIB             =  -lfftw -lm

#LAPACK/BLAS stuff for gmath lib:
BLASLIB             = 
LAPACKLIB           = 

#GDAL/OGR
GDALLIBS            = -L/usr/lib -lgdal
GDALCFLAGS          = -I/usr/include -DUSE_GDAL_H
USE_OGR             = 1

#FreeType:
FTINC               =  -I/usr/include/freetype2/
FTLIB               =  -lfreetype 

#PROJ.4:
PROJINC             =  $(GDALCFLAGS)
PROJLIB             =  -lproj 

#OPENDWG:
OPENDWGINCPATH      = 
OPENDWGLIBPATH      = 
OPENDWGLIB          = 
USE_OPENDWG         = 

# Uncomment below to input Korean(Asian?) characters in v.digit or etc.
#DASIAN_CHARS        = -DASIAN_CHARS

# It's hard to click two buttons simultaneously with two button mouse.
# Situation is worse, if it requires continuous clicking.
# In this case uncomment below.
#DANOTHER_BUTTON     = -DANOTHER_BUTTON
